<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access');

require_once JS_PATH_MODELS.'model-jsport-matrix.php';
require_once JS_PATH_OBJECTS.'class-jsport-season.php';
require_once JS_PATH_ENV_CLASSES.'class-jsport-participant.php';
class classJsportMatrix
{
    private $season_id = null;
    public $object = null;
    public $view = 'matrix';
    public $lists = null;

    public function __construct($season_id = null)
    {
        $this->season_id = $season_id;
        if (!$this->season_id) {
            $this->season_id = classJsportRequest::get('sid');
        }
        if (!$this->season_id) {
            die('ERROR! Matrix Season ID not DEFINED');
        }
        
        $model = new modelJsportMatrix($this->season_id);
        $this->object = $model->getObject();
        //$this->lists['options']['title'] = $this->object->m_name;
        
        $seasonObj = new classJsportSeason($this->season_id);
        $this->lists['single'] = $seasonObj->getSingle();
        $this->getLists($seasonObj);
        
        //lists
        global $jsConfig;
        
        $this->lists['mconf'] = json_decode($jsConfig->get('matrix_options'),true);
    }

    
    public function getRow()
    {
        return $this;
    }
    public function getView()
    {
        return $this->view;
    }
    public function getLists($seasonObj)
    {
        global $jsConfig;
        $this->lists['options'] = json_decode($seasonObj->object->season_options,true);
        $this->lists['options']['standings'] = $this->season_id;
        $this->lists['options']['calendar'] = $this->season_id;
        $this->lists['options']['title'] = ($seasonObj->lists['optionsT']['title']);
        if (!$this->lists['single'] && $jsConfig->get('enbl_linktoplayerlist') == '1') {
            $this->lists['options']['playerlist'] = $this->season_id;
        }
    }
    
    public function getParticName($partic_id, $linked = true){
        global $jsConfig;
        $obj = new classJsportParticipant($this->season_id);
        if ($partic_id > 0) {

            $part = $obj->getParticipiantObj($partic_id);
            if(!$this->lists['single'] && isset($this->lists['mconf']['shortname']) && intval($this->lists['mconf']['shortname'])){
                $shortName = classJsportExtrafields::getExtraFieldValue(intval($this->lists['mconf']['shortname']), $partic_id, '1', $this->season_id);
                if($shortName){
                    if (!$linked || ($jsConfig->get('enbl_teamlinks') == '0' && ($part->object->t_yteam != '1' || $jsConfig->get('enbl_teamhgllinks') != '1'))) {
                        return $shortName;
                        exit();
                        
                    }else{
                        return classJsportLink::team($shortName, $partic_id, $this->season_id, false);
                        exit();
                    }
                    
                }
                
            }
                
            return $part->getName($linked);
            //return $part;
        } else {
            return '';
        }
    }
    public function getParticEmblem($partic_id){
        if(isset($this->lists['mconf']['show_emblem']) && $this->lists['mconf']['show_emblem'] == 1){
            $obj = new classJsportParticipant($this->season_id);
            if ($partic_id > 0) {
                $part = $obj->getParticipiantObj($partic_id);

                return $part->getEmblem();
                //return $part;
            } else {
                return '';
            }
        }
    }
    public function getCustomMatch($id)
    {
        global $jsDatabase;

        $query = 'SELECT *'
                .' FROM '.DB_TBL_MATCH_STATUSES
                .' WHERE id='.intval($id);

        return $jsDatabase->selectObject($query);
    }
}
